Index: trunk/LMDZ.COMMON/libf/evolution/pemetat0.F90
===================================================================
--- trunk/LMDZ.COMMON/libf/evolution/pemetat0.F90	(revision 3145)
+++ trunk/LMDZ.COMMON/libf/evolution/pemetat0.F90	(revision 3149)
@@ -495,3 +475,2 @@
 
 END MODULE pemetat0_mod
-
Index: trunk/LMDZ.COMMON/libf/evolution/pemredem.F90
===================================================================
--- trunk/LMDZ.COMMON/libf/evolution/pemredem.F90	(revision 3145)
+++ trunk/LMDZ.COMMON/libf/evolution/pemredem.F90	(revision 3149)
@@ -1,9 +1,10 @@
-module pemredem
+MODULE pemredem
+
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 !!!
-!!! Purpose: Write specific netcdf restart for the PEM 
-!!! 
-!!! 
-!!! Author: LL, inspired by phyredem  from the GCM
+!!! Purpose: Write specific netcdf restart for the PEM
+!!!
+!!!
+!!! Author: LL, inspired by phyredem from the PCM
 !!!
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
@@ -11,128 +12,116 @@
 implicit none
 
+!=======================================================================
 contains
+!=======================================================================
 
-subroutine pemdem0(filename,lonfi,latfi,cell_area,nsoil_PEM,ngrid,day_ini,time,nslope,def_slope,subslope_dist)
+SUBROUTINE pemdem0(filename,lonfi,latfi,cell_area,nsoil_PEM,ngrid,day_ini,time,nslope,def_slope,subslope_dist)
+
 ! create physics restart file and write time-independent variables
-  use comsoil_h_PEM,     only: soil_pem,mlayer_PEM,fluxgeo,inertiedat_PEM
-  use iostart_PEM,       only: open_restartphy, close_restartphy, put_var, put_field, length
-  use mod_grid_phy_lmdz, only: klon_glo
-  use time_phylmdz_mod,  only: daysec
+use comsoil_h_PEM,     only: soil_pem,mlayer_PEM,fluxgeo,inertiedat_PEM
+use iostart_PEM,       only: open_restartphy, close_restartphy, put_var, put_field, length
+use mod_grid_phy_lmdz, only: klon_glo
+use time_phylmdz_mod,  only: daysec
+
 #ifndef CPP_STD
-  use planete_h,    only: aphelie, emin_turb, lmixmin, obliquit, peri_day, periheli, year_day
-  use comcstfi_h,   only: g, mugaz, omeg, rad, rcp
+    use planete_h,    only: aphelie, emin_turb, lmixmin, obliquit, peri_day, periheli, year_day
+    use comcstfi_h,   only: g, mugaz, omeg, rad, rcp
 #else
-  use planete_mod,  only: apoastr, emin_turb, lmixmin, obliquit, peri_day, periastr, year_day
-  use comcstfi_mod, only: g, mugaz, omeg, rad, rcp
+    use planete_mod,  only: apoastr, emin_turb, lmixmin, obliquit, peri_day, periastr, year_day
+    use comcstfi_mod, only: g, mugaz, omeg, rad, rcp
 #endif
 
-  implicit none
- 
-  character(len=*), intent(in) :: filename
-  real, intent(in)             :: lonfi(ngrid)
-  real, intent(in)             :: latfi(ngrid)
-  integer, intent(in)          :: nsoil_PEM
-  integer, intent(in)          :: ngrid
-  real, intent(in)             :: day_ini
-  real, intent(in)             :: time
-  real, intent(in)             :: cell_area(ngrid) !boundaries for bining of the slopes
-  integer, intent(in)          :: nslope
-  real, intent(in)             :: def_slope(nslope+1) !boundaries for bining of the slopes
-  real, intent(in)             :: subslope_dist(ngrid,nslope) !undermesh statistics
-  
-  ! Create physics start file
-  call open_restartphy(filename)
-  
-  ! Write the mid-layer depths
-  call put_var("soildepth","Soil mid-layer depth",mlayer_PEM)
-  
-  ! Write longitudes
-  call put_field("longitude","Longitudes of physics grid",lonfi)
-  
-  ! Write latitudes
-  call put_field("latitude","Latitudes of physics grid",latfi)
-  
-  ! Write mesh areas
-  call put_field("area","Mesh area",cell_area)
-     
-  ! Multidimensionnal variables (nogcm undermesh slope statistics)
-  call put_var("def_slope","slope criterium stages",def_slope)
-  call put_field("subslope_dist","under mesh slope distribution",subslope_dist)
+implicit none
 
+character(*),                  intent(in) :: filename
+integer,                       intent(in) :: nsoil_PEM, ngrid, nslope
+real, dimension(ngrid),        intent(in) :: lonfi, latfi
+real,                          intent(in) :: day_ini, time
+real, dimension(ngrid),        intent(in) :: cell_area     ! boundaries for bining of the slopes
+real, dimension(ngrid + 1),    intent(in) :: def_slope     ! boundaries for bining of the slopes
+real, dimension(ngrid,nslope), intent(in) :: subslope_dist ! undermesh statistics
 
-  ! Close file
-  call close_restartphy
-  
-end subroutine pemdem0
+! Create physics start file
+call open_restartphy(filename)
 
-subroutine pemdem1(filename,i_myear,nsoil_PEM,ngrid,nslope, &
-                    tsoil_slope_PEM,inertiesoil_slope_PEM,ice_table_depth,ice_table_thickness, &
-                    m_co2_regolith,m_h2o_regolith,water_reservoir)
+! Write the mid-layer depths
+call put_var("soildepth","Soil mid-layer depth",mlayer_PEM)
 
+! Write longitudes
+call put_field("longitude","Longitudes of physics grid",lonfi)
 
-  ! write time-dependent variable to restart file
-  use iostart_PEM,   only: open_restartphy, close_restartphy, put_var, put_field
-  use comsoil_h_PEM, only: mlayer_PEM,fluxgeo, inertiedat_PEM,soil_pem
-  use time_evol_mod, only: year_bp_ini, convert_years
-                
-  implicit none
-  
+! Write latitudes
+call put_field("latitude","Latitudes of physics grid",latfi)
+
+! Write mesh areas
+call put_field("area","Mesh area",cell_area)
+
+! Multidimensionnal variables (nopcm undermesh slope statistics)
+call put_var("def_slope","slope criterium stages",def_slope)
+call put_field("subslope_dist","under mesh slope distribution",subslope_dist)
+
+! Close file
+call close_restartphy
+
+END SUBROUTINE pemdem0
+
+!=======================================================================
+
+SUBROUTINE pemdem1(filename,i_myear,nsoil_PEM,ngrid,nslope,tsoil_slope_PEM,inertiesoil_slope_PEM, &
+                   ice_table_depth,ice_table_thickness,m_co2_regolith,m_h2o_regolith,h2o_ice)
+
+! write time-dependent variable to restart file
+use iostart_PEM,   only: open_restartphy, close_restartphy, put_var, put_field
+use comsoil_h_PEM, only: mlayer_PEM,fluxgeo, inertiedat_PEM, soil_pem
+use time_evol_mod, only: year_bp_ini, convert_years
+
+implicit none
+
 #ifndef CPP_STD
-  include "callkeys.h"
+    include "callkeys.h"
 #endif
-  
-  character(len=*), intent(in) :: filename
-  integer, intent(in)          :: nsoil_PEM, ngrid, nslope, i_myear
-  real, intent(in)             :: tsoil_slope_PEM(ngrid,nsoil_PEM,nslope) !under mesh bining according to slope
-  real, intent(in)             :: inertiesoil_slope_PEM(ngrid,nsoil_PEM,nslope) !under mesh bining according to slope
-  real, intent(in)             :: ice_table_depth(ngrid,nslope) !under mesh bining according to slope
-  real, intent(in)             :: ice_table_thickness(ngrid,nslope) !under mesh bining according to slope
-  real, intent(in)             :: m_co2_regolith(ngrid,nsoil_PEM,nslope)
-  real, intent(in)             :: m_h2o_regolith(ngrid,nsoil_PEM,nslope)
-  real, intent(in)             :: water_reservoir(ngrid)
 
-  integer           :: islope
-  character*2       :: num
-  integer           :: iq
-  character(len=30) :: txt  ! To store some text
-  real              :: Year ! Year of the simulation
+character(*),                            intent(in) :: filename
+integer,                                 intent(in) :: nsoil_PEM, ngrid, nslope, i_myear
+real, dimension(ngrid,nsoil_PEM,nslope), intent(in) :: tsoil_slope_PEM       ! under mesh bining according to slope
+real, dimension(ngrid,nsoil_PEM,nslope), intent(in) :: inertiesoil_slope_PEM ! under mesh bining according to slope
+real, dimension(ngrid,nslope),           intent(in) :: ice_table_depth       ! under mesh bining according to slope
+real, dimension(ngrid,nslope),           intent(in) :: ice_table_thickness   ! under mesh bining according to slope
+real, dimension(ngrid,nsoil_PEM,nslope), intent(in) :: m_co2_regolith, m_h2o_regolith
+real, dimension(ngrid,nslope),           intent(in) :: h2o_ice
 
-  ! Open file
-  call open_restartphy(filename)
-  
-  ! First variable to write must be "Time", in order to correctly
-  ! set time counter in file
-  Year = (year_bp_ini + i_myear)*convert_years
-  call put_var("Time","Year of simulation",Year)
-  call put_field('water_reservoir','water_reservoir',water_reservoir,Year)
+integer       :: islope
+character(2)  :: num
+integer       :: iq
+character(30) :: txt  ! To store some text
+real          :: Year ! Year of the simulation
 
-    if(soil_pem) then
-  
+! Open file
+call open_restartphy(filename)
+
+! First variable to write must be "Time", in order to correctly
+! set time counter in file
+Year = (year_bp_ini + i_myear)*convert_years
+call put_var("Time","Year of simulation",Year)
+call put_field('h2o_ice','h2o_ice',h2o_ice,Year)
+
+if (soil_pem) then
   ! Multidimensionnal variables (undermesh slope statistics)
-do islope = 1,nslope
-  write(num,fmt='(i2.2)') islope
-  call put_field("tsoil_PEM_slope"//num,"Soil temperature by slope type", &
-                 tsoil_slope_PEM(:,:,islope),Year)
-  call put_field("TI_PEM_slope"//num,"Soil Thermal Inertia by slope type", &
-                 inertiesoil_slope_PEM(:,:,islope),Year)
+    do islope = 1,nslope
+        write(num,fmt='(i2.2)') islope
+        call put_field("tsoil_PEM_slope"//num,"Soil temperature by slope type",tsoil_slope_PEM(:,:,islope),Year)
+        call put_field("TI_PEM_slope"//num,"Soil Thermal Inertia by slope type",inertiesoil_slope_PEM(:,:,islope),Year)
+        call put_field("mco2_reg_ads_slope"//num, "Mass of co2 adsorbded in the regolith",m_co2_regolith(:,:,islope),Year)
+        call put_field("mh2o_reg_ads_slope"//num, "Mass of h2o adsorbded in the regolith",m_h2o_regolith(:,:,islope),Year)
+    enddo
+    call put_field("ice_table_depth","Depth of ice table",ice_table_depth,Year)
+    call put_field("ice_table_thickness","Depth of ice table",ice_table_thickness,Year)
+    call put_field("inertiedat_PEM","Thermal inertie of PEM ",inertiedat_PEM,Year)
+endif ! soil_pem
 
-  call put_field("mco2_reg_ads_slope"//num, "Mass of co2 adsorbded in the regolith", &
-                m_co2_regolith(:,:,islope),Year)
-  call put_field("mh2o_reg_ads_slope"//num, "Mass of h2o adsorbded in the regolith", &
-                 m_h2o_regolith(:,:,islope),Year)
-enddo
+! Close file
+call close_restartphy
 
-  call put_field("ice_table_depth","Depth of ice table",ice_table_depth,Year)
+END SUBROUTINE pemdem1
 
-  call put_field("ice_table_thickness","Depth of ice table",ice_table_thickness,Year)
-
-  call put_field("inertiedat_PEM","Thermal inertie of PEM ",inertiedat_PEM,Year)
-
-   endif !soil_pem
-
-  ! Close file
-  call close_restartphy
-  
-end subroutine pemdem1
-
-end module pemredem
+END MODULE pemredem
Index: trunk/LMDZ.COMMON/libf/evolution/read_data_PCM_mod.F90
===================================================================
--- trunk/LMDZ.COMMON/libf/evolution/read_data_PCM_mod.F90	(revision 3145)
+++ trunk/LMDZ.COMMON/libf/evolution/read_data_PCM_mod.F90	(revision 3149)
@@ -15,7 +15,7 @@
 !=======================================================================
 
-SUBROUTINE read_data_PCM(filename,timelen,iim_input,jjm_input,ngrid,nslope,vmr_co2_gcm_phys,ps_timeseries,          &
-                         min_co2_ice,min_h2o_ice,tsurf_ave,tsoil_ave,tsurf_gcm,tsoil_gcm,q_co2,q_h2o,co2_ice_slope, &
-                         watersurf_density_ave,watersoil_density)
+SUBROUTINE read_data_PCM(filename,timelen,iim_input,jjm_input,ngrid,nslope,vmr_co2_PCM_phys,ps_timeseries,          &
+                         min_co2_ice,min_h2o_ice,tsurf_avg,tsoil_avg,tsurf_PCM,tsoil_PCM,q_co2,q_h2o,co2_ice_slope, &
+                         watersurf_density_avg,watersoil_density)
 use comsoil_h,             only: nsoilmx
 use comsoil_h_PEM,         only: soil_pem
@@ -36,21 +36,21 @@
 ! Arguments:
 
-character(len = *), intent(in) :: filename                            ! File name
-integer,            intent(in) :: timelen                             ! number of times stored in the file
-integer                        :: iim_input, jjm_input, ngrid, nslope ! number of points in the lat x lon dynamical grid, number of subgrid slopes
+character(*), intent(in) :: filename                            ! File name
+integer,      intent(in) :: timelen                             ! number of times stored in the file
+integer,      intent(in) :: iim_input, jjm_input, ngrid, nslope ! number of points in the lat x lon dynamical grid, number of subgrid slopes
 ! Ouputs
 real, dimension(ngrid,nslope),         intent(out) :: min_co2_ice      ! Minimum of co2 ice  per slope of the year [kg/m^2]
 real, dimension(ngrid,nslope),         intent(out) :: min_h2o_ice      ! Minimum of h2o ice per slope of the year [kg/m^2]
-real, dimension(ngrid,timelen),        intent(out) :: vmr_co2_gcm_phys ! Physics x Times  co2 volume mixing ratio retrieve from the PCM [m^3/m^3]
+real, dimension(ngrid,timelen),        intent(out) :: vmr_co2_PCM_phys ! Physics x Times  co2 volume mixing ratio retrieve from the PCM [m^3/m^3]
 real, dimension(ngrid,timelen),        intent(out) :: ps_timeseries    ! Surface Pressure [Pa]
 real, dimension(ngrid,timelen),        intent(out) :: q_co2            ! CO2 mass mixing ratio in the first layer [kg/m^3]
 real, dimension(ngrid,timelen),        intent(out) :: q_h2o            ! H2O mass mixing ratio in the first layer [kg/m^3]
-real, dimension(ngrid,nslope,timelen), intent(out) :: co2_ice_slope    ! co2 ice amount per  slope of the year [kg/m^2]
+real, dimension(ngrid,nslope,timelen), intent(out) :: co2_ice_slope    ! co2 ice amount per slope of the year [kg/m^2]
 !SOIL
-real, dimension(ngrid,nslope),                 intent(out) :: tsurf_ave             ! Average surface temperature of the concatenated file [K]
-real, dimension(ngrid,nsoilmx,nslope),         intent(out) :: tsoil_ave             ! Average soil temperature of the concatenated file [K]
-real, dimension(ngrid,nslope,timelen),         intent(out) :: tsurf_gcm             ! Surface temperature of the concatenated file, time series [K]
-real, dimension(ngrid,nsoilmx,nslope,timelen), intent(out) :: tsoil_gcm             ! Soil temperature of the concatenated file, time series [K]
-real, dimension(ngrid,nslope),                 intent(out) :: watersurf_density_ave ! Water density at the surface [kg/m^3]
+real, dimension(ngrid,nslope),                 intent(out) :: tsurf_avg             ! Average surface temperature of the concatenated file [K]
+real, dimension(ngrid,nsoilmx,nslope),         intent(out) :: tsoil_avg             ! Average soil temperature of the concatenated file [K]
+real, dimension(ngrid,nslope,timelen),         intent(out) :: tsurf_PCM             ! Surface temperature of the concatenated file, time series [K]
+real, dimension(ngrid,nsoilmx,nslope,timelen), intent(out) :: tsoil_PCM             ! Soil temperature of the concatenated file, time series [K]
+real, dimension(ngrid,nslope),                 intent(out) :: watersurf_density_avg ! Water density at the surface [kg/m^3]
 real, dimension(ngrid,nsoilmx,nslope,timelen), intent(out) :: watersoil_density     ! Water density in the soil layer, time series [kg/m^3]
 !=======================================================================
@@ -67,17 +67,17 @@
 real, dimension(iim_input + 1,jjm_input + 1,nslope,timelen)         :: watercap
 real, dimension(iim_input + 1,jjm_input + 1,nslope,timelen)         :: perennial_co2ice
-real, dimension(iim_input + 1,jjm_input + 1,timelen)                :: vmr_co2_gcm               ! CO2 volume mixing ratio in the first layer [mol/m^3]
-real, dimension(iim_input + 1,jjm_input + 1,timelen)                :: ps_GCM                    ! Surface Pressure [Pa]
+real, dimension(iim_input + 1,jjm_input + 1,timelen)                :: vmr_co2_PCM               ! CO2 volume mixing ratio in the first layer [mol/m^3]
+real, dimension(iim_input + 1,jjm_input + 1,timelen)                :: ps_PCM                    ! Surface Pressure [Pa]
 real, dimension(iim_input + 1,jjm_input + 1,nslope)                 :: min_co2_ice_dyn
 real, dimension(iim_input + 1,jjm_input + 1,nslope)                 :: min_h2o_ice_dyn
-real, dimension(iim_input + 1,jjm_input + 1,nslope)                 :: tsurf_ave_dyn             ! Average surface temperature of the concatenated file [K]
-real, dimension(iim_input + 1,jjm_input + 1,nsoilmx,nslope)         :: tsoil_ave_dyn             ! Average soil temperature of the concatenated file [K]
-real, dimension(iim_input + 1,jjm_input + 1,nslope,timelen)         :: tsurf_gcm_dyn             ! Surface temperature of the concatenated file, time series [K]
-real, dimension(iim_input + 1,jjm_input + 1,nsoilmx,nslope,timelen) :: tsoil_gcm_dyn             ! Soil temperature of the concatenated file, time series [K]
+real, dimension(iim_input + 1,jjm_input + 1,nslope)                 :: tsurf_avg_dyn             ! Average surface temperature of the concatenated file [K]
+real, dimension(iim_input + 1,jjm_input + 1,nsoilmx,nslope)         :: tsoil_avg_dyn             ! Average soil temperature of the concatenated file [K]
+real, dimension(iim_input + 1,jjm_input + 1,nslope,timelen)         :: tsurf_PCM_dyn             ! Surface temperature of the concatenated file, time series [K]
+real, dimension(iim_input + 1,jjm_input + 1,nsoilmx,nslope,timelen) :: tsoil_PCM_dyn             ! Soil temperature of the concatenated file, time series [K]
 real, dimension(iim_input + 1,jjm_input + 1,timelen)                :: q_co2_dyn                 ! CO2 mass mixing ratio in the first layer [kg/m^3]
 real, dimension(iim_input + 1,jjm_input + 1,timelen)                :: q_h2o_dyn                 ! H2O mass mixing ratio in the first layer [kg/m^3]
 real, dimension(iim_input + 1,jjm_input + 1,nslope,timelen)         :: co2_ice_slope_dyn         ! co2 ice amount per  slope of the year [kg/m^2]
 real, dimension(iim_input + 1,jjm_input + 1,nslope,timelen)         :: watersurf_density_dyn     ! Water density at the surface, time series [kg/m^3]
-real, dimension(iim_input + 1,jjm_input + 1,nslope)                 :: watersurf_density_dyn_ave ! Water density at the surface, dynamic grid, yearly averaged [kg/m^3]
+real, dimension(iim_input + 1,jjm_input + 1,nslope)                 :: watersurf_density_dyn_avg ! Water density at the surface, dynamic grid, yearly averaged [kg/m^3]
 real, dimension(iim_input + 1,jjm_input + 1,nsoilmx,nslope,timelen) :: watersoil_density_dyn     ! Water density in the soil layer, time series [kg/m^3]
 real, dimension(ngrid,nslope,timelen)                               :: watersurf_density         ! Water density at the surface, physical grid, time series [kg/m^3]
@@ -88,5 +88,5 @@
 
 ! Dowload the data from the file
-call get_var3("ps",ps_GCM)
+call get_var3("ps",ps_PCM)
 write(*,*) "Data for surface pressure downloaded!"
 
@@ -104,5 +104,5 @@
     write(*,*) "Data for h2o_ice_s downloaded!"
 
-    call get_var3("tsurf",tsurf_gcm_dyn(:,:,1,:))
+    call get_var3("tsurf",tsurf_PCM_dyn(:,:,1,:))
     write(*,*) "Data for tsurf downloaded!"
 
@@ -115,5 +115,5 @@
 
     if (soil_pem) then
-        call get_var4("soiltemp",tsoil_gcm_dyn(:,:,:,1,:))
+        call get_var4("soiltemp",tsoil_PCM_dyn(:,:,:,1,:))
         write(*,*) "Data for soiltemp downloaded!"
 
@@ -140,5 +140,5 @@
     do islope = 1,nslope
         write(num,'(i2.2)') islope
-        call get_var3("tsurf_slope"//num,tsurf_gcm_dyn(:,:,islope,:))
+        call get_var3("tsurf_slope"//num,tsurf_PCM_dyn(:,:,islope,:))
     enddo
     write(*,*) "Data for tsurf downloaded!"
@@ -160,5 +160,5 @@
         do islope = 1,nslope
             write(num,'(i2.2)') islope
-            call get_var4("soiltemp_slope"//num,tsoil_gcm_dyn(:,:,:,islope,:))
+            call get_var4("soiltemp_slope"//num,tsoil_PCM_dyn(:,:,:,islope,:))
         enddo
         write(*,*) "Data for soiltemp downloaded!"
@@ -182,18 +182,18 @@
 write(*,*) "Computing the min of h2o_ice..."
 where (h2o_ice_s_dyn < 0.) h2o_ice_s_dyn = 0.
-min_h2o_ice_dyn(:,:,:) = minval(h2o_ice_s_dyn + watercap,4)
+min_h2o_ice_dyn = minval(h2o_ice_s_dyn + watercap,4)
 write(*,*) "Computing the min of co2_ice..."
 where (co2_ice_slope_dyn < 0.) co2_ice_slope_dyn = 0.
-min_co2_ice_dyn(:,:,:) = minval(co2_ice_slope_dyn + perennial_co2ice,4)
+min_co2_ice_dyn = minval(co2_ice_slope_dyn + perennial_co2ice,4)
 
 ! Compute averages over the year for each point
 write(*,*) "Computing the average of tsurf..."
-tsurf_ave_dyn(:,:,:) = sum(tsurf_gcm_dyn(:,:,:,:),4)/timelen
+tsurf_avg_dyn = sum(tsurf_PCM_dyn,4)/timelen
 
 if (soil_pem) then
     write(*,*) "Computing average of tsoil..."
-    tsoil_ave_dyn(:,:,:,:) = sum(tsoil_gcm_dyn(:,:,:,:,:),5)/timelen
+    tsoil_avg_dyn = sum(tsoil_PCM_dyn,5)/timelen
     write(*,*) "Computing average of waterdensity_surface..."
-    watersurf_density_dyn_ave(:,:,:) = sum(watersurf_density_dyn(:,:,:,:),4)/timelen
+    watersurf_density_dyn_avg = sum(watersurf_density_dyn,4)/timelen
 endif
 
@@ -215,5 +215,5 @@
             endif
             mmean = 1/(A*q_co2_dyn(i,j,t) + B)
-            vmr_co2_gcm(i,j,t) = q_co2_dyn(i,j,t)*mmean/m_co2
+            vmr_co2_PCM(i,j,t) = q_co2_dyn(i,j,t)*mmean/m_co2
         enddo
     enddo
@@ -221,6 +221,6 @@
 
 #ifndef CPP_1D
-    call gr_dyn_fi(timelen,iim_input + 1,jjm_input + 1,ngrid,vmr_co2_gcm,vmr_co2_gcm_phys)
-    call gr_dyn_fi(timelen,iim_input + 1,jjm_input + 1,ngrid,ps_GCM,ps_timeseries)
+    call gr_dyn_fi(timelen,iim_input + 1,jjm_input + 1,ngrid,vmr_co2_PCM,vmr_co2_PCM_phys)
+    call gr_dyn_fi(timelen,iim_input + 1,jjm_input + 1,ngrid,ps_PCM,ps_timeseries)
     call gr_dyn_fi(timelen,iim_input + 1,jjm_input + 1,ngrid,q_co2_dyn,q_co2)
     call gr_dyn_fi(timelen,iim_input + 1,jjm_input + 1,ngrid,q_h2o_dyn,q_h2o)
@@ -231,22 +231,22 @@
         if (soil_pem) then
             do l = 1,nsoilmx
-                call gr_dyn_fi(1,iim_input + 1,jjm_input + 1,ngrid,tsoil_ave_dyn(:,:,l,islope),tsoil_ave(:,l,islope))
+                call gr_dyn_fi(1,iim_input + 1,jjm_input + 1,ngrid,tsoil_avg_dyn(:,:,l,islope),tsoil_avg(:,l,islope))
                 do t = 1,timelen
-                    call gr_dyn_fi(1,iim_input + 1,jjm_input + 1,ngrid,tsoil_gcm_dyn(:,:,l,islope,t),tsoil_gcm(:,l,islope,t))
+                    call gr_dyn_fi(1,iim_input + 1,jjm_input + 1,ngrid,tsoil_PCM_dyn(:,:,l,islope,t),tsoil_PCM(:,l,islope,t))
                     call gr_dyn_fi(1,iim_input + 1,jjm_input + 1,ngrid,watersoil_density_dyn(:,:,l,islope,t),watersoil_density(:,l,islope,t))
                 enddo
             enddo
-            call gr_dyn_fi(1,iim_input + 1,jjm_input + 1,ngrid,watersurf_density_dyn_ave(:,:,islope),watersurf_density_ave(:,islope))
+            call gr_dyn_fi(1,iim_input + 1,jjm_input + 1,ngrid,watersurf_density_dyn_avg(:,:,islope),watersurf_density_avg(:,islope))
         endif ! soil_pem
         do t = 1,timelen
-            call gr_dyn_fi(1,iim_input + 1,jjm_input + 1,ngrid,tsurf_GCM_dyn(:,:,islope,t),tsurf_GCM(:,islope,t))
+            call gr_dyn_fi(1,iim_input + 1,jjm_input + 1,ngrid,tsurf_PCM_dyn(:,:,islope,t),tsurf_PCM(:,islope,t))
             call gr_dyn_fi(1,iim_input + 1,jjm_input + 1,ngrid,co2_ice_slope_dyn(:,:,islope,t),co2_ice_slope(:,islope,t))
         enddo
     enddo
 
-    call gr_dyn_fi(nslope,iim_input + 1,jjm_input + 1,ngrid,tsurf_ave_dyn,tsurf_ave)
+    call gr_dyn_fi(nslope,iim_input + 1,jjm_input + 1,ngrid,tsurf_avg_dyn,tsurf_avg)
 #else
-    vmr_co2_gcm_phys(1,:) = vmr_co2_gcm(1,1,:)
-    ps_timeseries(1,:) = ps_GCM(1,1,:)
+    vmr_co2_PCM_phys(1,:) = vmr_co2_PCM(1,1,:)
+    ps_timeseries(1,:) = ps_PCM(1,1,:)
     q_co2(1,:) = q_co2_dyn(1,1,:)
     q_h2o(1,:) = q_h2o_dyn(1,1,:)
@@ -254,12 +254,12 @@
     min_h2o_ice(1,:) = min_h2o_ice_dyn(1,1,:)
     if (soil_pem) then
-        tsoil_ave(1,:,:) = tsoil_ave_dyn(1,1,:,:)
-        tsoil_gcm(1,:,:,:) = tsoil_gcm_dyn(1,1,:,:,:)
+        tsoil_avg(1,:,:) = tsoil_avg_dyn(1,1,:,:)
+        tsoil_PCM(1,:,:,:) = tsoil_PCM_dyn(1,1,:,:,:)
         watersoil_density(1,:,:,:) = watersoil_density_dyn(1,1,:,:,:)
-        watersurf_density_ave(1,:) = watersurf_density_dyn_ave(1,1,:)
+        watersurf_density_avg(1,:) = watersurf_density_dyn_avg(1,1,:)
     endif ! soil_pem
-    tsurf_GCM(1,:,:) = tsurf_GCM_dyn(1,1,:,:)
+    tsurf_PCM(1,:,:) = tsurf_PCM_dyn(1,1,:,:)
     co2_ice_slope(1,:,:) = co2_ice_slope_dyn(1,1,:,:)
-    tsurf_ave(1,:) = tsurf_ave_dyn(1,1,:)
+    tsurf_avg(1,:) = tsurf_avg_dyn(1,1,:)
 #endif
 
Index: trunk/LMDZ.COMMON/libf/evolution/recomp_tend_co2_slope_mod.F90
===================================================================
--- trunk/LMDZ.COMMON/libf/evolution/recomp_tend_co2_slope_mod.F90	(revision 3145)
+++ trunk/LMDZ.COMMON/libf/evolution/recomp_tend_co2_slope_mod.F90	(revision 3149)
@@ -8,7 +8,7 @@
 
 SUBROUTINE recomp_tend_co2_slope(ngrid,nslope,timelen,tendencies_co2_ice_phys,tendencies_co2_ice_phys_ini,co2ice_slope,emissivity_slope, &
-                                 vmr_co2_gcm,vmr_co2_pem,ps_GCM_2,global_ave_press_GCM,global_ave_press_new)
+                                 vmr_co2_PCM,vmr_co2_pem,ps_PCM_2,global_avg_press_PCM,global_avg_press_new)
 
-use constants_marspem_mod, only : alpha_clap_co2, beta_clap_co2, sigmaB,Lco2, sols_per_my, sec_per_sol
+use constants_marspem_mod, only : alpha_clap_co2, beta_clap_co2, sigmaB, Lco2, sols_per_my, sec_per_sol
 
 implicit none
@@ -24,11 +24,11 @@
 !   INPUT
 integer,                        intent(in) :: timelen, ngrid, nslope
-real, dimension(ngrid,timelen), intent(in) :: vmr_co2_gcm                 ! physical point field : Volume mixing ratio of co2 in the first layer
+real, dimension(ngrid,timelen), intent(in) :: vmr_co2_PCM                 ! physical point field : Volume mixing ratio of co2 in the first layer
 real, dimension(ngrid,timelen), intent(in) :: vmr_co2_pem                 ! physical point field : Volume mixing ratio of co2 in the first layer
-real, dimension(ngrid,timelen), intent(in) :: ps_GCM_2                    ! physical point field : Surface pressure in the GCM
-real,                           intent(in) :: global_ave_press_GCM        ! global averaged pressure at previous timestep
-real,                           intent(in) :: global_ave_press_new        ! global averaged pressure at current timestep
+real, dimension(ngrid,timelen), intent(in) :: ps_PCM_2                    ! physical point field : Surface pressure in the PCM
+real,                           intent(in) :: global_avg_press_PCM        ! global averaged pressure at previous timestep
+real,                           intent(in) :: global_avg_press_new        ! global averaged pressure at current timestep
 real, dimension(ngrid,nslope),  intent(in) :: tendencies_co2_ice_phys_ini ! physical point field : Evolution of perennial ice over one year
-real, dimension(ngrid,nslope),  intent(in) :: co2ice_slope                ! CO2 ice per mesh and sub-grid slope(kg/m^2)
+real, dimension(ngrid,nslope),  intent(in) :: co2ice_slope                ! CO2 ice per mesh and sub-grid slope (kg/m^2)
 real, dimension(ngrid,nslope),  intent(in) :: emissivity_slope            ! Emissivity per mesh and sub-grid slope(1)
 !   OUTPUT
@@ -40,4 +40,6 @@
 real    :: coef, ave
 
+write(*,*) "Update of the CO2 tendency from the current pressure"
+    
 ! Evolution of the water ice for each physical point
 do i = 1,ngrid
@@ -47,6 +49,6 @@
         if (co2ice_slope(i,islope) > 1.e-4 .and. abs(tendencies_co2_ice_phys(i,islope)) > 1.e-5) then
             do t=1,timelen
-                ave = ave + (beta_clap_co2/(alpha_clap_co2-log(vmr_co2_gcm(i,t)*ps_GCM_2(i,t)/100.)))**4 &
-                      - (beta_clap_co2/(alpha_clap_co2-log(vmr_co2_pem(i,t)*ps_GCM_2(i,t)*(global_ave_press_new/global_ave_press_GCM)/100.)))**4
+                ave = ave + (beta_clap_co2/(alpha_clap_co2-log(vmr_co2_PCM(i,t)*ps_PCM_2(i,t)/100.)))**4 &
+                      - (beta_clap_co2/(alpha_clap_co2-log(vmr_co2_pem(i,t)*ps_PCM_2(i,t)*(global_avg_press_new/global_avg_press_PCM)/100.)))**4
             enddo
         endif
Index: trunk/LMDZ.COMMON/libf/evolution/soil_settings_PEM_mod.F90
===================================================================
--- trunk/LMDZ.COMMON/libf/evolution/soil_settings_PEM_mod.F90	(revision 3145)
+++ trunk/LMDZ.COMMON/libf/evolution/soil_settings_PEM_mod.F90	(revision 3149)
@@ -7,5 +7,5 @@
 !=======================================================================
 
-SUBROUTINE soil_settings_PEM(ngrid,nslope,nsoil_PEM,nsoil_GCM,TI_GCM,TI_PEM)
+SUBROUTINE soil_settings_PEM(ngrid,nslope,nsoil_PEM,nsoil_PCM,TI_PCM,TI_PEM)
 
 !      use netcdf
@@ -39,6 +39,6 @@
 integer,                                 intent(in) :: nslope    ! # of subslope wihtin the mesh
 integer,                                 intent(in) :: nsoil_PEM ! # of soil layers in the PEM
-integer,                                 intent(in) :: nsoil_GCM ! # of soil layers in the GCM
-real, dimension(ngrid,nsoil_GCM,nslope), intent(in) :: TI_GCM    ! Thermal inertia  in the GCM [SI]
+integer,                                 intent(in) :: nsoil_PCM ! # of soil layers in the PCM
+real, dimension(ngrid,nsoil_PCM,nslope), intent(in) :: TI_PCM    ! Thermal inertia  in the PCM [SI]
 
 real, dimension(ngrid,nsoil_PEM,nslope), intent(inout) :: TI_PEM ! Thermal inertia   in the PEM [SI]
@@ -57,10 +57,10 @@
 lay1 = 2.e-4
 alpha = 2
-do iloop = 0,nsoil_GCM - 1
+do iloop = 0,nsoil_PCM - 1
     mlayer_PEM(iloop) = lay1*(1+iloop**2.9*(1-exp(-real(iloop)/20.)))
 enddo
 
 do iloop = 0, nsoil_PEM-1
-    if(lay1*(alpha**(iloop-0.5)) > mlayer_PEM(nsoil_GCM-1)) then
+    if(lay1*(alpha**(iloop-0.5)) > mlayer_PEM(nsoil_PCM-1)) then
         index_powerlaw = iloop
         exit
@@ -68,6 +68,6 @@
 enddo
 
-do iloop = nsoil_GCM, nsoil_PEM-1 
-    mlayer_PEM(iloop) = lay1*(alpha**(index_powerlaw + (iloop-nsoil_GCM)-0.5))
+do iloop = nsoil_PCM, nsoil_PEM-1 
+    mlayer_PEM(iloop) = lay1*(alpha**(index_powerlaw + (iloop-nsoil_PCM)-0.5))
 enddo
 
@@ -83,10 +83,10 @@
 do ig = 1,ngrid
     do islope = 1,nslope
-        do iloop = 1,nsoil_GCM
-            TI_PEM(ig,iloop,islope) = TI_GCM(ig,iloop,islope)
+        do iloop = 1,nsoil_PCM
+            TI_PEM(ig,iloop,islope) = TI_PCM(ig,iloop,islope)
         enddo
-        if (nsoil_PEM > nsoil_GCM) then
-            do iloop = nsoil_GCM + 1,nsoil_PEM
-                TI_PEM(ig,iloop,islope) = TI_GCM(ig,nsoil_GCM,islope)
+        if (nsoil_PEM > nsoil_PCM) then
+            do iloop = nsoil_PCM + 1,nsoil_PEM
+                TI_PEM(ig,iloop,islope) = TI_PCM(ig,nsoil_PCM,islope)
             enddo
         endif
Index: trunk/LMDZ.COMMON/libf/evolution/soil_thermalproperties_mod.F90
===================================================================
--- trunk/LMDZ.COMMON/libf/evolution/soil_thermalproperties_mod.F90	(revision 3145)
+++ trunk/LMDZ.COMMON/libf/evolution/soil_thermalproperties_mod.F90	(revision 3149)
@@ -89,8 +89,7 @@
  REAL :: ice_bottom_depth
 
+write(*,*) "Update soil propreties"
+        
 ! 1. Modification of the regolith thermal inertia.
-
-
-
  do islope = 1,nslope
    regolith_inertia(:,islope) = inertiedat_PEM(:,1)
@@ -112,5 +111,4 @@
 
 ! 2. Build new Thermal Inertia 
-
 do  islope=1,nslope
    do ig = 1,ngrid
